493: Undecipherable

-Blog-

-Projects-

-Urlaub-

-About me-

-RSS-

FreeBSD 10: Downgrading a packet with pkg

Dennis Guse

I needed to downgrade a package (Asterisk) on a FreeBSD 10.1. After an update I found that my configuration had some issues.

Actually, pkg makes downgrading a package (incl. it's dependencies) a very convenient task. Just get the YOURFAV.VERSION.xz for your desired version (take a look into /var/pkg/cache).

And then run:

pkg install YOURFAV.VERSION.xz

After downgrading everything and searching for ours I found the mistake: spelling errors in a configuration file.